Skip to main content
GET
/
nfts
/
markets
NFTs List with Market Data
curl --request GET \
  --url https://pro-api.coingecko.com/api/v3/nfts/markets \
  --header 'x-cg-pro-api-key: <api-key>'
[
  {
    "id": "cryptopunks",
    "contract_address": "0xb47e3cd837dDF8e4c57F05d70Ab865de6e193BBB",
    "asset_platform_id": "ethereum",
    "name": "CryptoPunks",
    "symbol": "PUNK",
    "image": {
      "small": "https://coin-images.coingecko.com/nft_contracts/images/270/small/cryptopunks.png?1707287245",
      "small_2x": "https://coin-images.coingecko.com/nft_contracts/images/270/small_2x/cryptopunks.png?1707287245"
    },
    "description": "<h3 dir=\"ltr\">What Is the CryptoPunks NFT Collection?</h3>\r\n\r\n<p dir=\"ltr\">CryptoPunks is an Ethereum-based NFT collection of 10,000 unique art characters.",
    "native_currency": "ethereum",
    "native_currency_symbol": "ETH",
    "floor_price": {
      "native_currency": 32.99,
      "usd": 68598
    },
    "market_cap": {
      "native_currency": 329702,
      "usd": 685567614
    },
    "volume_24h": {
      "native_currency": 0,
      "usd": 0
    },
    "floor_price_in_usd_24h_percentage_change": -2.61445,
    "floor_price_24h_percentage_change": {
      "usd": -2.614447557256636,
      "native_currency": -0.7222389407162203
    },
    "market_cap_24h_percentage_change": {
      "usd": -2.6144475572566117,
      "native_currency": -0.7222389407162202
    },
    "volume_24h_percentage_change": {
      "usd": -100,
      "native_currency": -100
    },
    "number_of_unique_addresses": 100,
    "number_of_unique_addresses_24h_percentage_change": 0,
    "volume_in_usd_24h_percentage_change": -100,
    "total_supply": 9994,
    "one_day_sales": null,
    "one_day_sales_24h_percentage_change": 0,
    "one_day_average_sale_price": null,
    "one_day_average_sale_price_24h_percentage_change": 0
  },
  {
    "id": "bored-ape-yacht-club",
    "contract_address": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d",
    "asset_platform_id": "ethereum",
    "name": "Bored Ape Yacht Club",
    "symbol": "BAYC",
    "image": {
      "small": "https://coin-images.coingecko.com/nft_contracts/images/20/small/bored-ape-yacht-club.png?1707287177",
      "small_2x": "https://coin-images.coingecko.com/nft_contracts/images/20/small_2x/bored-ape-yacht-club.png?1707287177"
    },
    "description": "<h3>What Is the Bored Ape Yacht Club NFT Collection?</h3>\r\n\r\n<p>The Bored Ape Yacht Club is a collection of 10,000 unique Bored Ape NFTs, which showcase a series of apes with different characteristics and expressions.",
    "native_currency": "ethereum",
    "native_currency_symbol": "ETH",
    "floor_price": {
      "native_currency": 8.69,
      "usd": 18036.28
    },
    "market_cap": {
      "native_currency": 86883,
      "usd": 180326699
    },
    "volume_24h": {
      "native_currency": 166.12,
      "usd": 344783
    },
    "floor_price_in_usd_24h_percentage_change": -4.33779,
    "floor_price_24h_percentage_change": {
      "usd": -4.33779438865101,
      "native_currency": -1.7857142857131758
    },
    "market_cap_24h_percentage_change": {
      "usd": -4.337794388651022,
      "native_currency": -1.7857142857131754
    },
    "volume_24h_percentage_change": {
      "usd": 10.090203438665934,
      "native_currency": 27.149001523165122
    },
    "number_of_unique_addresses": 5653,
    "number_of_unique_addresses_24h_percentage_change": -0.05304,
    "volume_in_usd_24h_percentage_change": 10.0902,
    "total_supply": 9998,
    "one_day_sales": 18,
    "one_day_sales_24h_percentage_change": 50,
    "one_day_average_sale_price": 9.228827722222222,
    "one_day_average_sale_price_24h_percentage_change": -15.23399898455658
  }
]
  • Collections with low liquidity may not be ranked by Market Cap, learn more.
    • Sorting by MCap ranking prioritizes liquid collections by Market Cap, then illiquid collections by volume.
  • Equivalent page on CoinGecko NFTs.

SDK Examples

const response = await client.nfts.getMarkets();

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-pro-api-key
string
header
required

Learn how to set up your API key

Query Parameters

asset_platform_id
string

Filter result by asset platform (blockchain network). *refers to /asset_platforms filter=nft.

order
enum<string>

Sort results by field. Default: market_cap_usd_desc

Available options:
h24_volume_native_asc,
h24_volume_native_desc,
h24_volume_usd_asc,
h24_volume_usd_desc,
market_cap_usd_asc,
market_cap_usd_desc
per_page
integer

Total results per page. Default value: 100 Valid values: 1...250

page
integer

Page through results. Default value: 1

Response

200 - application/json

List of NFT collections with market data

id
string
required

NFT collection ID

contract_address
string | null
required

NFT collection contract address

asset_platform_id
string
required

NFT collection asset platform ID

name
string
required

NFT collection name

symbol
string
required

NFT collection symbol

image
object
required

NFT collection image URLs

description
string | null
required

NFT collection description

native_currency
string
required

NFT collection native currency

native_currency_symbol
string
required

NFT collection native currency symbol

floor_price
object
required

NFT collection floor price

market_cap
object
required

NFT collection market cap

volume_24h
object
required

NFT collection volume in 24 hours

floor_price_in_usd_24h_percentage_change
number
required

NFT collection floor price in USD 24 hours percentage change

floor_price_24h_percentage_change
object
required

NFT collection floor price 24 hours percentage change

market_cap_24h_percentage_change
object
required

NFT collection market cap 24 hours percentage change

volume_24h_percentage_change
object
required

NFT collection volume in 24 hours percentage change

number_of_unique_addresses
number | null
required

Number of unique addresses owning the NFTs

number_of_unique_addresses_24h_percentage_change
number
required

Number of unique addresses 24 hours percentage change

volume_in_usd_24h_percentage_change
number
required

NFT collection volume in USD 24 hours percentage change

total_supply
number | null
required

NFT collection total supply

one_day_sales
number | null
required

NFT collection one day sales

one_day_sales_24h_percentage_change
number
required

NFT collection one day sales 24 hours percentage change

one_day_average_sale_price
number | null
required

NFT collection one day average sale price

one_day_average_sale_price_24h_percentage_change
number
required

NFT collection one day average sale price 24 hours percentage change